Summary: NetworkManager VPN plugin for Openswan
Name: NetworkManager-openswan
Version: 1.0
Release: 1%{?dist}
License: GPLv2+
URL: http://gsoc.xelerance.com/
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk2-devel
BuildRequires: dbus-devel
BuildRequires: NetworkManager-devel
BuildRequires: NetworkManager-glib-devel
BuildRequires: glib2-devel
BuildRequires: GConf2-devel
BuildRequires: libgnomeui-devel
#BuildRequires: gnome-keyring-devel
#BuildRequires: libglade2-devel
#BuildRequires: perl-XML-Parser
BuildRequires: libtool intltool gettext
BuildRequires: perl
BuildRequires: gnome-common
Requires(post): %{_bindir}/update-desktop-database
Requires(postun): %{_bindir}/update-desktop-database
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
Requires: gtk2             >= %{gtk2_version}
Requires: dbus             >= %{dbus_version}
Requires: NetworkManager   >= %{nm_version}
Requires: openswan
#Requires: shared-mime-info 
Requires: GConf2
Requires: gnome-keyring

%description
This package contains software for integrating the Openswan VPN software
with NetworkManager and the GNOME desktop.

%prep
%setup -q -n %{name}-%{version}


%build
%configure --disable-static --disable-dependency-tracking --enable-more-warnings=yes 
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} INSTALL="%{__install} -p"

rm -f %{buildroot}%{_libdir}/NetworkManager/lib*.la

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
/usr/bin/update-desktop-database > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig
/usr/bin/update-desktop-database > /dev/null
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
      /usr/bin/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files -f %{name}.lang
%defattr(-, root, root)

%doc NEWS README
%{_libdir}/NetworkManager/lib*.so*
%dir %{_libdir}/nm-openswan-plugin/
%{_libdir}/nm-openswan-plugin/*py
/bin//statsd
%{_sysconfdir}/dbus-1/system.d/nm-openswan-service.conf
%{_sysconfdir}/NetworkManager/VPN/nm-openswan-service.name
#%{_libexecdir}/nm-openswan-service
#%{_libexecdir}/nm-openswan-service-openswan-helper
%{_datadir}/gnome-vpn-properties/openswan/nm-openswan-dialog.glade
#%{_datadir}/applications/nm-openswan.desktop
#%{_datadir}/icons/hicolor/48x48/apps/gnome-mime-application-x-openswan-settings.png
%dir %{_datadir}/gnome-vpn-properties/openswan

%changelog
* Sun Jun 21 2009 Paul Wouters <paul@xelerance.com> - 0.1-1
- Initial release based on openvpn spec file
